
Auto Multiple Choice - Bug # 68: AMC ne démarre par sur MAC

Status: Closed Priority: Normal
Author: Martin TB Category:
Created: 07/15/2012 Assignee:
Updated: 03/07/2013 Due date:
Description: Bonjour,

AMC semble très intéressant et j'ai bien hâte de l'utiliser...

J'obtiens l'erreur lorsque je tente de le démarrer sur MAC Lion avec X11

bash-3.2$ auto-multiple-choice
Format d'image non reconnu at /opt/local/lib/AMC/perl/AMC-gui.pl line 101.

Que dois-je faire?

Merci,

Martin

History
07/15/2012 08:50 pm - Alexis Bienvenüe
Bonjour.
Je vais répondre hors-sujet, car je n'ai pas de mac...
Vous pouvez aussi utiliser VirtualBox et créer une machine virtuelle sous debian ou ubuntu pour faire marcher AMC dedans.

07/16/2012 03:40 am - Martin TB
Merci pour l'idée. J'ai déjà tenté la virtualisation mais mon ordinateur devient vraiment trop lent. Est-ce qu'il y a quelque chose à faire pour mon 
problème sur MAC?

07/16/2012 02:04 pm - Alexis Bienvenüe
> Est-ce qu'il y a quelque chose à faire pour mon problème sur MAC?

J'ai transmis à mon collègue qui arrive à faire marcher AMC sur son mac, mais je ne sais pas si il a le temps de s'en occuper...
Il me semble que c'est dû à un problème avec librsvg et le loader correspondant (@libpixbufloader-svg@). Vous pouvez essayer d'éditer le fichier 
@AMC-gui.pl@ (qui doit se trouver quelque part dans les fichiers MacPort, peut-être dans @/opt/local/lib/AMC/perl@) de la façon suivante pour 
contourner le problème :

* changer toutes les occurrences de "force-svg" en "no-svg".

* remplacer, en ligne 846,
<pre>
my $ii=$it->lookup_icon("flag",$taille ,"no-svg");
</pre>
par
<pre>
my $ii='';
</pre>

07/16/2012 02:23 pm - Martin TB
Merci beaucoup pour le suivi. J'ai effectué les changements et voici ce que ça me donne...
bash-3.2$ auto-multiple-choice

(AMC-gui.pl:9323): GLib-GIO-CRITICAL **: g_loadable_icon_load: assertion `G_IS_LOADABLE_ICON (icon)' failed
Impossible de charger l'icÃ´ne at /opt/local/lib/AMC/perl/AMC-gui.pl line 101.

Martin

07/16/2012 02:31 pm - Alexis Bienvenüe
Bizarre... Vous pouvez commenter complètement la ligne 101 et rajoutant un @#@ au début de la ligne.

07/16/2012 02:39 pm - Martin TB
Super maintenant il démarre, mais voici ce qui apparait... 

<pre>
Gtk-WARNING **: Unknown property: GtkImage.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkImage.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkImage.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkComboBox.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.valign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkHBox.valign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.valign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.valign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkHBox.hexpand at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkScrolledWindow.hexpand at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkTreeView.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkTreeView.hexpand at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkVButtonBox.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkVBox.valign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkHBox.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.

(AMC-gui.pl:9648): GLib-GIO-CRITICAL **: g_loadable_icon_load: assertion `G_IS_LOADABLE_ICON (icon)' failed

(AMC-gui.pl:9648): GLib-GIO-CRITICAL **: g_loadable_icon_load: assertion `G_IS_LOADABLE_ICON (icon)' failed

(AMC-gui.pl:9648): GLib-GIO-CRITICAL **: g_loadable_icon_load: assertion `G_IS_LOADABLE_ICON (icon)' failed

(AMC-gui.pl:9648): GLib-GIO-CRITICAL **: g_loadable_icon_load: assertion `G_IS_LOADABLE_ICON (icon)' failed

(AMC-gui.pl:9648): GLib-GIO-CRITICAL **: g_loadable_icon_load: assertion `G_IS_LOADABLE_ICON (icon)' failed

(AMC-gui.pl:9648): GLib-GIO-CRITICAL **: g_loadable_icon_load: assertion `G_IS_LOADABLE_ICON (icon)' failed

(AMC-gui.pl:9648): GLib-GIO-CRITICAL **: g_loadable_icon_load: assertion `G_IS_LOADABLE_ICON (icon)' failed
</pre>
07/16/2012 02:43 pm - Alexis Bienvenüe
Et il est utilisable, ou il plante ? Les @Gtk-WARNING@, ça devrait pas être grave.

07/22/2012 06:26 pm - Martin TB
Bonjour. J'ai testé un peu, mais ce n'était pas très fonctionnel sur MAC. J'ai donc trouvé un moyen pour virtualiser ubuntu. À ce moment j'ai ajouté les 
dépôts pour avoir la version 1.1.x avec la possibilité de faire des qcm en txt (je connais pas latex). J'ai été incapable d'installer les dépôts. J'ai donc 
virtualité opensuse et la j'ai la version 1.1.x, mais j'ai un problème avec linlibertine (police) et le moteur latex (xelatex) que je n'arrive pas à régler. 
Est-ce qu'il y a un système linux, que je peux virtualiser, et sur lequel il est possible d'avoir la version 1.1.x avec l'ensemble des dépendances requises?

Est-ce qu'il existe un guide d'installation pas à pas pour les novices, car je fais face à beaucoup de défis?

Merci encore,

Martin 

07/22/2012 08:27 pm - Alexis Bienvenüe
Le linux le plus efficace pour AMC devrait être Ubuntu ou "debian testing":http://www.debian.org/devel/debian-installer/.

> J'ai été incapable d'installer les dépôts.

Avez-vous essayé de suivre les "instructions":https://launchpad.net/+help-soyuz/ppa-sources-list.html fournies sur launchpad ?

# Ouvrir un terminal
# taper les commandes
<pre>sudo add-apt-repository ppa:alexis.bienvenue/test
sudo apt-get install auto-multiple-choice</pre>

À quel moment avez-vous rencontré un problème, et lequel ?

> j'ai un problème avec linlibertine (police) et le moteur latex (xelatex) que je n'arrive pas à régler.

Lequel ?

07/26/2012 01:18 pm - Martin TB
Bonjour,

J'ai recommencé du début et j'ai effectué les commandes que vous m'avez indiqué. Ça fonctionne sur bien actuellement. Merci beaucoup pour votre 
soutien. C'est un super logiciel. Martin

07/26/2012 01:59 pm - Alexis Bienvenüe
> Ça fonctionne bien actuellement.

Super. Pour information, parlez-vous des commandes pour utiliser le dépôt test sur Ubuntu virtualisé dans votre mac, ou des commandes pour réparer 
l'installation MacPorts sur mac ?

07/26/2012 02:21 pm - Martin TB
Je parle pour le dépôt test sur Ubuntu virtualisé dans mon mac. Pour le "sur mac directement" je n'ai pas réussi.

Martin

08/10/2012 10:30 am - Alexis Bienvenüe
Il semblerait qu'on ait trouvé une autre possibilité pour refaire marcher le port AMC de MacPorts: taper la commande suivante en tant que root.
<pre>
/opt/local/bin/gdk-pixbuf-query-loaders --update-cache
</pre>

08/31/2012 01:05 pm - Alexis Bienvenüe
- Status changed from New to Feedback

12/22/2012 10:21 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from Feedback to Closed

03/04/2013 12:25 pm - Ali BY
Bonjour 
Je voudrais savoir comment vous avez fait pour installer AMC ( sous Mac X.8.2 via ubuntu c'est ca ?  )
je commence à etre perdu ! 
merci d'avance

Martin TB wrote:
> Bonjour,
> 
> J'ai recommencé du début et j'ai effectué les commandes que vous m'avez indiqué. Ça fonctionne sur bien actuellement. Merci beaucoup pour votre 
soutien. C'est un super logiciel. Martin

03/07/2013 11:04 pm - Martin TB
J'ai installé Ubuntu via Paralles http://www.parallels.com/fr/products/desktop/. 

C'est une virtualisation de ubuntu dans une machine virtuelle que creer Paralles (logiciel mac).
